import type { CloudResourcePool, CloudResourceOptions, PostgresqlAdapterConfig } from './types';
import type { Adapter } from 'resolve-eventstore-base';
declare const createPostgresqlServerlessAdapter: (options: PostgresqlAdapterConfig) => Adapter;
export default createPostgresqlServerlessAdapter;
declare const createResource: (options: CloudResourceOptions) => Promise<any>;
declare const disposeResource: (options: CloudResourceOptions) => Promise<any>;
declare const destroyResource: (options: CloudResourceOptions) => Promise<any>;
export { createResource as create, disposeResource as dispose, destroyResource as destroy, };
export type { PostgresqlAdapterConfig, CloudResourcePool, CloudResourceOptions };
